---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: archmirror
  annotations:
    kubernetes.io/ingress.class: traefik
    cert-manager.io/cluster-issuer: cloudflare
    kubernetes.io/tls-acme: 'true'
spec:
  tls:
    - hosts:
        - arch.mikesweb.site
      secretName: archmirror-tls
  rules:
    - host: arch.mikesweb.site
      http:
        paths:
          - backend:
              service:
                name: archmirror
                port:
                  number: 80
            path: /
            pathType: Prefix
